import request from '@/utils/request'

// 查询设备绑定记录列表
export function listBindRecord(query) {
  return request({
    url: '/bst/bindRecord/list',
    method: 'get',
    params: query
  })
}

// 查询设备绑定记录详细
export function getBindRecord(recordId) {
  return request({
    url: '/bst/bindRecord/' + recordId,
    method: 'get'
  })
}

// 新增设备绑定记录
export function addBindRecord(data) {
  return request({
    url: '/bst/bindRecord',
    method: 'post',
    data: data
  })
}

// 修改设备绑定记录
export function updateBindRecord(data) {
  return request({
    url: '/bst/bindRecord',
    method: 'put',
    data: data
  })
}

// 删除设备绑定记录
export function delBindRecord(recordId) {
  return request({
    url: '/bst/bindRecord/' + recordId,
    method: 'delete'
  })
}
